Package it.ernytech.tdlib

## Class TdApi.CallStateReady

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.CallState
    - - it.ernytech.tdlib.TdApi.CallStateReady

Enclosing class:
  TdApi

    public static class TdApi.CallStateReady
    extends TdApi.CallState

The call is ready to use.

### Field Summary

Fields
`java.lang.String` `config` A JSON-encoded call config.
`TdApi.CallConnection[]` `connections` Available UDP reflectors.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String[]` `emojis` Encryption key emojis fingerprint.
`byte[]` `encryptionKey` Call encryption key.
`TdApi.CallProtocol` `protocol` Call protocols supported by the peer.

### Constructor Summary

Constructors
`CallStateReady()` Default constructor.
`CallStateReady​(TdApi.CallProtocol protocol, TdApi.CallConnection[] connections, java.lang.String config, byte[] encryptionKey, java.lang.String[] emojis)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### protocol

    public TdApi.CallProtocol protocol

Call protocols supported by the peer.

#### connections

    public TdApi.CallConnection[] connections

Available UDP reflectors.

#### config

    public java.lang.String config

A JSON-encoded call config.

#### encryptionKey

    public byte[] encryptionKey

Call encryption key.

#### emojis

    public java.lang.String[] emojis

Encryption key emojis fingerprint.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### CallStateReady

    public CallStateReady()

Default constructor.

#### CallStateReady

    public CallStateReady​(TdApi.CallProtocol protocol,
                          TdApi.CallConnection[] connections,
                          java.lang.String config,
                          byte[] encryptionKey,
                          java.lang.String[] emojis)

Constructor for initialization of all fields.

Parameters:
  `protocol` - Call protocols supported by the peer.
  `connections` - Available UDP reflectors.
  `config` - A JSON-encoded call config.
  `encryptionKey` - Call encryption key.
  `emojis` - Encryption key emojis fingerprint.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR